/*
 *  (Gnono) Card game for GNOME
 *
 *  Copyright (C) 2001-2002 Dennis J Houy <djhouy@paw.co.za>
 *            (C) 2006      Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *  $Id: game.h,v 1.4 2007/01/04 06:09:00 yselkowitz Exp $
 */
#ifndef __GN_GAME_H__
#define __GN_GAME_H__

#include <glib/gtypes.h>

/*#define GN_DEBUG*/

void deal_cards (void);
gint get_cards_to_deal (void);
gint get_num_players (void);
gint get_playout_score (void);
void play_card (gint player, gint card_idx);
gboolean valid_play (gint player, gint card_idx);
void game_begin (void);
gboolean game_in_progress (void);
void force_end_game (void);
void set_card_played (gboolean played);

#endif /* __GN_GAME_H__ */
