/*
 *  (Gnono) Card game for GNOME
 *
 *  Copyright (C) 2001-2002 Dennis J Houy <djhouy@paw.co.za>
 *            (C) 2006      Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *  $Id: interface.h,v 1.6 2007/01/04 06:09:01 yselkowitz Exp $
 */
#ifndef __GN_INTERFACE_H__
#define __GN_INTERFACE_H__

#include <glib/gtypes.h>
#include <gtk/gtkwidget.h>
#include <gtk/gtkwindow.h>

#include "cards.h"

typedef struct {
    GtkWidget *total_points;
    GtkWidget *points_to_win;
} ScoreCard;

GtkWindow *main_app_window (void);

void app_init (int argc, char *argv[]);
void app_destroy (void);
void panels_init (void);

gint game_new_cb (GtkWidget *widget, gpointer data);

void prompt_user_info (gchar *prompt, gchar *button);
gboolean prompt_user_question (gchar *prompt);

void gci_pick_up_set_image (void);
void gci_discard_set_image (void);
void gci_discard_show_color (void);

void gci_hand_cards_init (gint player);
void gci_hand_cards_destroy (gint player);
void gci_hand_cards_add (gint player, Card *card);
void gci_hand_cards_remove (gint player, gint index);

void gci_color_picker_hide (void);
void gci_color_picker_show (void);

void prompt_to_continue_game (gint player);
void display_starting_player (gint player);
void display_winning_player (gint player);

GtkWidget *score_card_playout();
ScoreCard *gn_score_card_new (gint player);

gboolean app_is_closing (void);

#endif /* __GN_INTERFACE_H__ */
