/*
 *  (Gnono) Card game for GNOME
 *
 *  Copyright (C) 2001-2002 Dennis J Houy <djhouy@paw.co.za>
 *            (C) 2006      Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *  $Id: players.h,v 1.5 2007/01/04 06:09:01 yselkowitz Exp $
 */
#ifndef __GN_PLAYERS_H__
#define __GN_PLAYERS_H__

#include <glib/garray.h>
#include <glib/gtypes.h>

#include "cards.h"

typedef enum {
    GN_PLAYER_TYPE_COMPUTER = 1 << 0,
    GN_PLAYER_TYPE_HUMAN    = 1 << 1
} PlayerTypes;

typedef struct {
    gchar *name;
    PlayerTypes type;
    GPtrArray *cards;
    GPtrArray *gci_hand_cards;
    ScoreCard *score_card;
    gint score;
} Player;

void players_init (void);
void players_destroy (void);
void players_reverse_direction (void);
Player *get_player (gint index);
gint get_current_player (void);
void set_current_player (gint player);
void player_cards_add (gint player, Card *card);
Card *player_cards_remove_index (gint player, gint index);
void player_cards_remove_all (gint player);
gint next_player (gint player);
gint get_hand_score (gint player);
void update_score_card (gint player);

#endif /* __GN_PLAYERS_H__ */
